Bug 103710 - Punctuation for CJK vertical layout using fallback is not rotating
Summary: Punctuation for CJK vertical layout using fallback is not rotating
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: CJK HarfBuzz-regressions
  Show dependency treegraph
 
Reported: 2016-11-04 17:51 UTC by V Stuart Foote
Modified: 2016-11-06 17:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
attachment 121296 with old WinLayout and OpenGL (56.11 KB, image/png)
2016-11-04 17:56 UTC, V Stuart Foote
Details
attachment 121296 with new HarfBuzz layout and OpenGL (62.88 KB, image/png)
2016-11-04 17:57 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2016-11-04 17:51:33 UTC
Description:
From bug 95836 attachment 121296 [details] renders with fallback CJK font. However the glyphs for punctuation--brackets and braces are not rotating. 

Steps to Reproduce:
1. enable OpenGL and new HarfBuzz based layout
2. open attachment 121296 [details]
3. observe the bracketing of the vertical text -- rotated

4. enable OpenGL and the old DirectWrite WinLayout
5. open attachment 121296 [details]
5. observe bracketing of the vertical text is correct.

Actual Results:  
glyphs for punctuation, using fallback font, do not rotate with the vertical text

Expected Results:
should rotate to match vertical layout as OpenGL with the "old" layout does.


Reproducible: Always

User Profile Reset: No

Additional Info:
On Windows 10 Pro 64-bit (1607) en-US


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 V Stuart Foote 2016-11-04 17:56:33 UTC
Created attachment 128496 [details]
attachment 121296 [details] with old WinLayout and OpenGL
Comment 2 V Stuart Foote 2016-11-04 17:57:05 UTC
Created attachment 128497 [details]
attachment 121296 [details] with new HarfBuzz layout and OpenGL
Comment 3 V Stuart Foote 2016-11-04 18:01:59 UTC
@Mark H., 

NEEDINFO to you, please change back to NEW when you provide details as to Windows and Graphics, the build of LibreOffice and if changing the font used in the document has any affect on the punctuation.

Also, is it just for fallback font usage as I've indicated--or is the punctuation not rotating when using fonts installed on your system?  Summary may need to be corrected.
Comment 4 Khaled Hosny 2016-11-04 18:37:24 UTC
I get the same result on Linux as well, and my guess it is related to https://github.com/behdad/harfbuzz/issues/355.
Comment 5 Commit Notification 2016-11-04 21:45:06 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e59168ef004e7520ea7d78237a18208216a757c

tdf#103710: rotate all glyphs in vertical runs

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 V Stuart Foote 2016-11-05 04:21:07 UTC
This looks to be resolved fixed. @Mark H. please verify it is correct for you now on system installed fonts.

Version: 5.3.0.0.alpha1+
Build ID: 32bdc5097013e7efd9c85e1b8df697880e66e925
CPU Threads: 8; OS Version: Windows 6.2; UI Render: GL; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-04_23:30:30
Locale: en-US (en_US); Calc: CL